*** xc/programs/Xserver/hw/xfree86/doc/sgml/OS2.sgml:1.1	1996/11/03 00:15:56
--- xc/programs/Xserver/hw/xfree86/doc/sgml/OS2.sgml	1996/11/03 00:18:54
***************
*** 1,58 ****
  <!doctype linuxdoc system>
  
  <article>
! <title>README for XFree86 3.1.2D on OS/2
  <author>Holger Veit
! <Date>Last modified on: 20 Feb 1996
  
  <toc>
  
! <sect>Introductory Note about the ALPHA release 3.1.2D
  <p>
  Before looking into this file, please check for any LATEST.OS2 files
! that may come with the binary distribution. Some statements made here
! refer to the official public version of XFree86/OS2, and may not be
! fully functional in the alpha release.
! 
! This version of the code is called XFree86/OS2 3.1.2D. The letter ``D'',
! according to the naming rules of XFree86, usually denotes a (public)
! beta version of the code. Since this is the first public version of
! XFree86/OS2 at all, this code is considered having ALPHA quality only.
! 
! The purpose of this release is to test it widely without restrictions
! in a large number of configurations and find bugs that are still existing
! in the distribution. It is also intended as a developer's platform to
! port and write applications based on the X11 programming interfaces
! provided here. This release is complete (with one exception) regarding
  the X11R6.1 ``core'' distribution. The ``contrib'' distribution containing
  some of the more interesting tools for the end user, will be issued together
  with a later release (no need to start porting it independently).
  
! This version is therefore intended for the experienced and knowledged
! software engineer only, not for a casual end user.
  
! This means - and this should be taken serious - that
  <itemize>
  <item> there is no explicit or implicit warranty that certain code works
         correctly or works at all
! <item> this code may damage your hardware; this includes improper
!        configuration or bugs still present in the software
! <item> this code may destroy or damage your data on the storage media, crash 
!        or lock up the operating system and even damage data on different 
!        disk partitions
  </itemize>
  
! You are urged to make a backup of your complete system and keep it in a safe
! place before you attempt to load any of this software on your disk.
! 
! This even holds if you already have a working copy of XFree86-3.1.2D
! running on another platform, such as Linux, and found it working without
! problems. This is XFree86/OS2 which differs in a number of critical aspects
! from any Unix implementation of XFree86.
! 
! If you are afraid to try out this code, simply don't use it and wait for
! a future, hopefully more bug-free version.
! 
  
  <sect>What and Where is XFree86?
  
--- 1,56 ----
  <!doctype linuxdoc system>
  
  <article>
! <title>README for XFree86 3.2 on OS/2
  <author>Holger Veit
! <Date>Last modified on: 21 Oct 1996
  
  <toc>
  
! <sect>Introductory Note about the release 3.2
  <p>
  Before looking into this file, please check for any LATEST.OS2 files
! that may come with the binary distribution.
! 
! This version of the code is called XFree86/OS2 3.2. This means it is
! a public release for which also the source code is provided. In
! contrast, a version with a letter, such as in ``3.1.2D'', for instance, is a beta
! version which has certain restrictions.
! 
! Previous beta versions have been tested in a large number of configurations
! and have been found to be working, with some bugs left, rather flawlessly.
! This code is released for public use by an end user, not only for developers, 
! although this does not necessarily mean that it is easy to use or user 
! friendly, or using a popular term, ``plug & play''. Emphasis is on
! functionality, not simple installation.
! 
! This release is complete (with one exception) regarding
  the X11R6.1 ``core'' distribution. The ``contrib'' distribution containing
  some of the more interesting tools for the end user, will be issued together
  with a later release (no need to start porting it independently).
  
! In the past beta testing, it has been found that the software itself is
! rather stable and does not damage hardware - provided the user does not
! try to push the builtin limits and change certain configuration parameters
! which could operate the video hardware out of specs.
  
! However,
  <itemize>
  <item> there is no explicit or implicit warranty that certain code works
         correctly or works at all
! <item> although no damage reports are known, it does not mean that it is
!        impossible to damage hardware with this code; some deeply hidden
!        bugs may still be present in the software.
  </itemize>
  
! It is recommended that you backup essential data of your system before
! installing this software, but this should be your general precautions 
! before ANY installation. No reports exist that a crashing X server itself
! actively destroys or modifies data, but it is possible in rare cases
! that the system is left in an unusable state (video display mode garbled
! or system unresponsive, not reacting to mouse or keyboard actions).
! If you then hard reset or switch off the system, file caches of the operating
! system might not be written correctly back to disk, thus causing data loss.
  
  <sect>What and Where is XFree86?
  
***************
*** 63,69 ****
  and performance improvements as well as many bug fixes.  The release
  is available as source patches against the X Consortium X11R6 code, as
  well as binary distributions for many architectures.
! <p>XFree86/OS2 is the tentative work title for the implementation of XFree86
  on OS/2 based systems.
  
  See the <url url="COPYRIGHT.html" name="Copyright Notice">.
--- 61,67 ----
  and performance improvements as well as many bug fixes.  The release
  is available as source patches against the X Consortium X11R6 code, as
  well as binary distributions for many architectures.
! <p>XFree86/OS2 is the name of the implementation of XFree86
  on OS/2 based systems.
  
  See the <url url="COPYRIGHT.html" name="Copyright Notice">.
***************
*** 71,96 ****
  <!--
  The sources for XFree86/OS2 are available by anonymous ftp from:
  
! <url name="ftp.XFree86.org:/pub/XFree86/current"
! url="ftp://ftp.XFree86.org/pub/XFree86/current">
  -->
  
! Binaries for OS/2 2.11 and OS/2 Warp are available from:
! <url name="ftp.XFree86.org:/pub/XFree86/beta/binaries/OS2"
! url="ftp://ftp.XFree86.org/pub/XFree86/beta/binaries/OS2">
  <p>
- more archives to be added ...
- 
  
  Other versions:
  
  XFree86/OS2 will run on all dialects of Warp, including Warp "red spine box",
! Warp "blue spine box", Warp Connect and Warp Server (beta 1 and 2). Fixpack
! level 5 is mandatory, a later fixpack level (10 or 17) is recommended.
! XFree86/OS2 appears to work under OS/2 2.11 with fixpack 100, but this was
! not checked in all details, so hidden problems may still exist. It is 
! unlikely that it will run stable under OS/2 2.0 and 2.1, and it will definitely
! not run with any OS/2 1.X.
  
  It is possible to build XFree86/OS2 from the sources.  Read about this
  in some section below.
--- 69,101 ----
  <!--
  The sources for XFree86/OS2 are available by anonymous ftp from:
  
! <url name="ftp.XFree86.org:/pub/XFree86"
! url="ftp://ftp.XFree86.org/pub/XFree86">
  -->
  
! Binaries for OS/2 Warp and Merlin are available from:
! <url name="ftp.XFree86.org:/pub/XFree86/binaries/OS2"
! url="ftp://ftp.XFree86.org/pub/XFree86/binaries/OS2">
! <p>
! The WWW page
! <url name="borneo.gmd.de:/~veit/os2/xf86os2.html"
! url="http://borneo.gmd.de/~veit/os2/xf86os2.html"> will
! usually show more references to FTP or WWW sites to retrieve
! sources or binaries.
  <p>
  
  Other versions:
  
  XFree86/OS2 will run on all dialects of Warp, including Warp "red spine box",
! Warp "blue spine box", Warp Connect, Warp Server, and Merlin. 
! For Warp fixpack level 17 is mandatory, a later fixpack level (e.g. FP22) 
! is recommended. In some future, a more recent fixpack might be necessary.
! Please check a LATEST.OS2 file.
! 
! OS/2 2.11 is no longer supported beginning with this release, due to lack
! of a working test environment. Consequently, OS/2 SMP is not supported either,
! because this is currently based on OS/2 2.11.
! OS/2 versions 1.X are definitely not supported and will never be.
  
  It is possible to build XFree86/OS2 from the sources.  Read about this
  in some section below.
***************
*** 130,145 ****
  
  <p>
  <itemize>
! <item> OS/2 2.11 with fixpack 100 and all versions of Warp with at least
!        fixpack level 5 are required.
! <item> In the version 3.1.2D, you need certain networking TCP/IP software. 
!        In a future version, this restriction might be no longer present.
         <enum>
-        <item> For OS/2 2.11, IBM TCP/IP 2.0 or later is mandatory.
         <item> Warp comes with the Internet Access Kit (IAK), which is
                sufficient. Warp Connect and Warp Server come with a full
                version of TCP/IP (3.0). Use of this software is preferred over
                IAK then.
         </enum>
         Other versions of TCP/IP, such as FTP's, DEC's, or Hummingbird's 
         TCP/IP versions, as well as IBM TCP/IP 1.X are not supported. Nor does
--- 135,151 ----
  
  <p>
  <itemize>
! <item> Any version of Warp with at least fixpack 17, or Merlin is required
! <item> XFree86/OS2-3.2 may use a local named-pipe connection or a TCP/IP 
!        based network connection.
         <enum>
         <item> Warp comes with the Internet Access Kit (IAK), which is
                sufficient. Warp Connect and Warp Server come with a full
                version of TCP/IP (3.0). Use of this software is preferred over
                IAK then.
+        <item> Merlin comes with TCP/IP 4.0 which should also work.
+        <item> The old IBM TCP/IP 2.0, that comes with the IBM PMX product
+               may be used with Warp as well.
         </enum>
         Other versions of TCP/IP, such as FTP's, DEC's, or Hummingbird's 
         TCP/IP versions, as well as IBM TCP/IP 1.X are not supported. Nor does
***************
*** 147,153 ****
         or NetBIOS work, and I won't to provide support for that in the future.
  <item> If you want to write or port applications for XFree86, you are
         encouraged to do so. You will need a complete installation of
!        EMX/gcc 0.9B fix 1 or later for doing so. Neither the second (obsolete)
         implementation of gcc, nor any commercial package, including
         Cset/2, VAC++, Borland C++/OS2, Watcom C++, Metaware C, and others,
         is suitable for porting, because various parts of the X DLLs rely
--- 153,159 ----
         or NetBIOS work, and I won't to provide support for that in the future.
  <item> If you want to write or port applications for XFree86, you are
         encouraged to do so. You will need a complete installation of
!        EMX/gcc 0.9C or later for doing so. Neither the second (obsolete)
         implementation of gcc, nor any commercial package, including
         Cset/2, VAC++, Borland C++/OS2, Watcom C++, Metaware C, and others,
         is suitable for porting, because various parts of the X DLLs rely
***************
*** 168,228 ****
  not work, because it cannot unpack long file names and extended attributes.
  
  At this moment, the distribution covers only the ``core'' distribution
! which somewhat reduces the usability. Some of the more interesting clients 
! from the ``contrib'' area will be made available in the future.
  
      The contents of the packages are:
  
  <descrip>
  <tag/REQUIRED:/
      <descrip>
!     <tag/312Dbase/	A special device driver and the SuperProbe program
!     <tag/312Ddoc/	READMEs and XFree86 specific man pages.
!     <tag/312Dbin/	all of the executable X client applications and shared libs
!     <tag/312Dfnts/	the misc and 75dpi fonts
!     <tag/312Dlib/	data files needed at runtime
      <tag/emxrt/         Runtime libraries of EMX
      </descrip>
  
      Choose at least one of the following to match your hardware:
  
      <descrip>
!     <tag/312D8514/	the X server for IBM 8514/A and compatible boards
!     <tag/312DAGX/	the X server for AGX boards
!     <tag/312DI128/	the X server for &num;9 Imagination 128 boards
!     <tag/312DMa32/	the X server for ATI Mach32 graphics boards
!     <tag/312DMa64/	the X server for ATI Mach64 graphics boards
!     <tag/312DMa8/	the X server for ATI Mach8 graphics boards
!     <tag/312DMono/	the Monochrome X Server
!     <tag/312DP9K/	the X server for P9000 based boards
!     <tag/312DS3/ 	the X server for S3 based boards
!     <tag/312DSvga/	the 8-bit pseudo-color X server for Super VGA cards
!     <tag/312Dvg16/	the 4-bit pseudo-color X server for VGA &amp; SVGA cards.
!     <tag/312Dw32/	the X server for et4000w32 based boards
      </descrip>
  
  <tag/OPTIONAL:/
  
      <descrip>
!     <tag/312Dman/ 	pre-formatted man pages for the X11 interface and clients
!     <tag/312Df100/	100dpi fonts
!     <tag/312Dfscl/	Speedo and Type1 fonts
!     <tag/312Dfnon/ 	Japanese, Chinese and other fonts
!     <tag/312Dfcyr/	Cyrillic fonts
!     <tag/312Dfsrv/	the font server with man pages.
!     <tag/312Dprog/	the X11 header files and programmer's utilities
  			for compiling other X applications
!     <tag/312Dpex/	PEX fonts and libraries required for PEX applications
!     <tag/312Dnest/	the Xnest X server
      </descrip>
  </descrip>
  
  In order to save space on your disk and reduce net bandwidth, choose the
! software to obtain carefully. Each X server is an archive of about 1.4MB
! and occupies 2.5MB on the disk. You won't normally need more than the
  single Xserver tailored to your video card.
  
! If it is your first time install, get the <tt/312Dbase/ archive before any
  of the other packages. This package contains a driver and a test program,
  which analyzes your video hardware. If this program fails or reports an
  incompatible hardware, it makes no sense to obtain the other packages in
--- 174,236 ----
  not work, because it cannot unpack long file names and extended attributes.
  
  At this moment, the distribution covers only the ``core'' distribution
! which somewhat reduces the usability. Refer to WWW sites and archives listed 
! in the XFree86/OS2 FAQ and elsewhere to obtain prebuilt X clients which
! were ported to XFree86.
  
      The contents of the packages are:
  
  <descrip>
  <tag/REQUIRED:/
      <descrip>
!     <tag/XF32base/	A special device driver and the SuperProbe program
!     <tag/XF32doc/	READMEs and XFree86 specific man pages.
!     <tag/XF32bin/	all of the executable X client applications and shared libs
!     <tag/XF32fnts/	the misc and 75dpi fonts
      <tag/emxrt/         Runtime libraries of EMX
      </descrip>
  
      Choose at least one of the following to match your hardware:
  
      <descrip>
!     <tag/XF328514/	the X server for IBM 8514/A and compatible boards
!     <tag/XF32AGX/	the X server for AGX boards
!     <tag/XF32I128/	the X server for &num;9 Imagination 128 boards
!     <tag/XF32Ma32/	the X server for ATI Mach32 graphics boards
!     <tag/XF32Ma64/	the X server for ATI Mach64 graphics boards
!     <tag/XF32Ma8/	the X server for ATI Mach8 graphics boards
!     <tag/XF32Mono/	the Monochrome X Server
!     <tag/XF32P9K/	the X server for P9000 based boards
!     <tag/XF32S3/ 	the X server for S3 based boards (excluding S3 ViRGE)
!     <tag/XF32S3V/ 	the X server for S3 ViRGE based boards
!     <tag/XF32Svga/	the 8-bit pseudo-color X server for Super VGA cards
!     <tag/XF32vg16/	the 4-bit pseudo-color X server for VGA &amp; SVGA cards.
!     <tag/XF32w32/	the X server for et4000w32 based boards
      </descrip>
  
  <tag/OPTIONAL:/
  
      <descrip>
!     <tag/XF32man/ 	pre-formatted man pages for the X11 interface and clients
!     <tag/XF32f100/	100dpi fonts
!     <tag/XF32fscl/	Speedo and Type1 fonts
!     <tag/XF32fnon/ 	Japanese, Chinese and other fonts
!     <tag/XF32fcyr/	Cyrillic fonts
!     <tag/XF32fsrv/	the font server with man pages.
!     <tag/XF32prog/	the X11 header files and programmer's utilities
  			for compiling other X applications
!     <tag/XF32pex/	PEX fonts and libraries required for PEX applications
!     <tag/XF32nest/	the experimental Xnest X server
!     <tag/XF32vfb/	the experimental VFB X server
      </descrip>
  </descrip>
  
  In order to save space on your disk and reduce net bandwidth, choose the
! software to obtain carefully. Each X server is an archive of about 1.2MB
! and occupies 3.0MB on the disk. You won't normally need more than the
  single Xserver tailored to your video card.
  
! If it is your first time install, get the <tt/XF32base/ archive before any
  of the other packages. This package contains a driver and a test program,
  which analyzes your video hardware. If this program fails or reports an
  incompatible hardware, it makes no sense to obtain the other packages in
***************
*** 236,247 ****
  in all commands accordingly.
  
  <enum>
! <item> Obtain the package <tt/312Dbase/ and install it from the root directory
         of the Y: drive, by entering the following commands:
  <tscreen><verb>
  [C:\] Y:
  [Y:\] cd \
! [Y:\] unzip \path_of_package\312Dbase.zip
  </verb></tscreen>
  
  <item> Edit your CONFIG.SYS file to contain the following line somewhere:
--- 244,255 ----
  in all commands accordingly.
  
  <enum>
! <item> Obtain the package <tt/XF32base/ and install it from the root directory
         of the Y: drive, by entering the following commands:
  <tscreen><verb>
  [C:\] Y:
  [Y:\] cd \
! [Y:\] unzip \path_of_package\XF32base.zip
  </verb></tscreen>
  
  <item> Edit your CONFIG.SYS file to contain the following line somewhere:
***************
*** 274,286 ****
  </verb></tscreen>
  
  <item> SuperProbe can identify many more video cards than are supported by
!        XFree86. Therefore lookup the reported type in the compatibility list,
!        and also check the accompanying README.* files for special conditions
!        and requirements. If the card is not mentioned or marked as unsupported,
!        the game is over for you now, unfortunately.
  
- <item> Otherwise chances are good, that you can run XFree86/OS2. Obtain the
-        rest of the software and proceed with the next section.
  </enum>
  
  <sect> Installing the packages
--- 282,299 ----
  </verb></tscreen>
  
  <item> SuperProbe can identify many more video cards than are supported by
!        XFree86. In some cases, Superprobe unfortunately detects a wrong
!        card, often it claims to have seen a MCGA card which is some sort of
!        a fallback. Generally, if it is approximately right, there are only
!        few reasons for doubts; if it is totally off (e.g. saying it has
!        seen a ET4000, and you have a Cirrus card), you should report a
!        misdetection as a bug to the given address. In all cases, please
!        take the few minutes and check the accompanying README.* files to
!        check for special precautions, options, or features of the card.
! 
! <item> If the README files tell you that your hardware is supported, please
!        obtain the rest of the software.
  
  </enum>
  
  <sect> Installing the packages
***************
*** 295,301 ****
         drive, and type:
  <tscreen><verb>
  drive:> cd \
! drive:> unzip \path_of_packages\312Dxxxx.zip
  </verb></tscreen>
  </enum>
  
--- 308,314 ----
         drive, and type:
  <tscreen><verb>
  drive:> cd \
! drive:> unzip \path_of_packages\XF32xxxx.zip
  </verb></tscreen>
  </enum>
  
***************
*** 323,333 ****
  <tag/ETC/
  	Set to an ETC directory. Normally, this is already set to the ETC
          directory of the TCP/IP code, such as
! <tscreen><verb>SET ETC=C:\TCPIP\ETC</verb></tscreen>
  <tag/TMP/
  	Set to an TMP directory. Normally, this is already set to the TMP
          directory of the TCP/IP code, such as
! <tscreen><verb>SET TMP=C:\TCPIP\TMP</verb></tscreen>
  <tag/HOSTNAME/
  	Set to the internet hostname. Normally, this is already set by the
  	TCP/IP installation program, such as
--- 336,346 ----
  <tag/ETC/
  	Set to an ETC directory. Normally, this is already set to the ETC
          directory of the TCP/IP code, such as
! <tscreen><verb>SET ETC=C:&bsol;TCPIP&bsol;ETC</verb></tscreen>
  <tag/TMP/
  	Set to an TMP directory. Normally, this is already set to the TMP
          directory of the TCP/IP code, such as
! <tscreen><verb>SET TMP=C:&bsol;TCPIP&bsol;TMP</verb></tscreen>
  <tag/HOSTNAME/
  	Set to the internet hostname. Normally, this is already set by the
  	TCP/IP installation program, such as
***************
*** 352,358 ****
  	of a user. Some utilities place temporary and init files here. This
  	is also future investment for a multiuser configuration, but must still
  	be there. For instance, this variable might be set to
! <tscreen><verb>SET HOME=H:\user\holger</verb></tscreen>
  <tag/X11ROOT/
  	This is one of the most important settings, it determines the root
  	of the XFree86 directory tree. Normally, you will set this to the
--- 365,371 ----
  	of a user. Some utilities place temporary and init files here. This
  	is also future investment for a multiuser configuration, but must still
  	be there. For instance, this variable might be set to
! <tscreen><verb>SET HOME=H:&bsol;user&bsol;holger</verb></tscreen>
  <tag/X11ROOT/
  	This is one of the most important settings, it determines the root
  	of the XFree86 directory tree. Normally, you will set this to the
***************
*** 379,392 ****
  <tag/PATH/
  	Add the binary directory for the X11 utilities to your search PATH.
  	This is normally the directory (adjust the letter)
! <tscreen><verb>Y:\XFree86\bin</verb></tscreen>
  	It is possible to move the binaries to another directory in the
  	search path; for maintenance reasons and clarity of the structure, this
  	is not recommended, though.
  <tag/LIBPATH/
  	Add the DLL directory for the X11 utilities to the LIBPATH.
  	This is normally the directory (adjust the letter)
! <tscreen><verb>Y:\XFree86\lib</verb></tscreen>
  	It is possible to move the DLLs to another directory in the
  	library path; for maintenance reasons and clarity of the structure, 
  	this is not recommended, though. Note that
--- 392,405 ----
  <tag/PATH/
  	Add the binary directory for the X11 utilities to your search PATH.
  	This is normally the directory (adjust the letter)
! <tscreen><verb>Y:&bsol;XFree86&bsol;bin</verb></tscreen>
  	It is possible to move the binaries to another directory in the
  	search path; for maintenance reasons and clarity of the structure, this
  	is not recommended, though.
  <tag/LIBPATH/
  	Add the DLL directory for the X11 utilities to the LIBPATH.
  	This is normally the directory (adjust the letter)
! <tscreen><verb>Y:&bsol;XFree86&bsol;lib</verb></tscreen>
  	It is possible to move the DLLs to another directory in the
  	library path; for maintenance reasons and clarity of the structure, 
  	this is not recommended, though. Note that
***************
*** 397,402 ****
--- 410,420 ----
  	as a base.
  </descrip>
  
+ The recent version of XFree86/OS2 has a REXX script named <tt/checkinstall.cmd/
+ which you can (and should) use to check whether you have entered most things
+ correctly. This is not bullet-proof, but prevents the most obvious 
+ setup problems.
+ 
  <sect> Remarks on the Network Configuration
  
  <p>
***************
*** 425,433 ****
  <item> Add the following line to CONFIG.SYS:
  <tscreen><verb>SET USE_HOSTS_FIRST=1</verb></tscreen>
  <item> After rebooting, verify that the following command works:
! <tscreen><verb>[C:\] ping localhost</verb></tscreen>
  </enum>
  
  If you have problems to get this or other basic networking things running,
  seek assistance elsewhere.
  
--- 443,454 ----
  <item> Add the following line to CONFIG.SYS:
  <tscreen><verb>SET USE_HOSTS_FIRST=1</verb></tscreen>
  <item> After rebooting, verify that the following command works:
! <tscreen><verb>[C:&bsol;] ping localhost</verb></tscreen>
  </enum>
  
+ The <tt/checkinstall.cmd/ script coming with XFree86/OS2 gives some advice
+ here as well.
+ 
  If you have problems to get this or other basic networking things running,
  seek assistance elsewhere.
  
***************
*** 438,448 ****
  run the <tt/xf86config/ program to create a standard configuration file
  in <tt>Y:&bsol;XFree86&bsol;lib&bsol;X11&bsol;XConfig</tt> from a windowed
  or full screen OS/2 text session:
! <tscreen><verb>[C:\] xf86config</verb></tscreen>
  
! This program will ask a number of questions. You will need the information
! obtained from the SuperProbe program here. The program should be 
! self explanatory; if you have problems to understand something though, seek
  assistance in the newsgroups.
  
  Alternatively, but not recommended for the non-expert, you can edit the 
--- 459,469 ----
  run the <tt/xf86config/ program to create a standard configuration file
  in <tt>Y:&bsol;XFree86&bsol;lib&bsol;X11&bsol;XConfig</tt> from a windowed
  or full screen OS/2 text session:
! <tscreen><verb>[C:&bsol;] xf86config</verb></tscreen>
  
! The <tt/xf86config/ program will ask a number of questions. You will need 
! the information obtained from the SuperProbe program here. The program should 
! be self explanatory; if you have problems to understand something though, seek
  assistance in the newsgroups.
  
  Alternatively, but not recommended for the non-expert, you can edit the 
***************
*** 453,468 ****
  For details about the <tt/XF86Config/ file format, refer to the
  <em>XF86Config(4/5)</em> manual page.
  
  If you know the configuration process from Linux or other XFree86 platform, 
  you will encounter a few differences:
  <itemize>
  <item> There is no configuration for the mouse type or device. The mouse
         device name is fixed to OSMOUSE, and this cannot be changed.
         If you have a three-button-mouse, install the correct OS/2 driver 
         for it, such as
  <tscreen><verb>
! DEVICE=D:\OS2\BOOT\PCLOGIC.SYS SERIAL=COM1
! DEVICE=D:\OS2\BOOT\MOUSE.SYS TYPE=PCLOGIC$
  </verb></tscreen>
         for a MouseSystems compatible mouse, for instance.
  <item> Currently, the X server does not read the native OS/2 keyboard map,
--- 474,495 ----
  For details about the <tt/XF86Config/ file format, refer to the
  <em>XF86Config(4/5)</em> manual page.
  
+ By the time this README file is written, a more sophisticated and user
+ friendly setup program named <tt/XF86Setup/, which is the now preferred
+ configuration software for XFree86, was not yet functioning, but
+ this might change in the final version. Please check the LATEST.OS2 file.
+ 
  If you know the configuration process from Linux or other XFree86 platform, 
  you will encounter a few differences:
  <itemize>
+ <item>The configuration file is named <tt/XF86Config/ in Unix environments.
  <item> There is no configuration for the mouse type or device. The mouse
         device name is fixed to OSMOUSE, and this cannot be changed.
         If you have a three-button-mouse, install the correct OS/2 driver 
         for it, such as
  <tscreen><verb>
! DEVICE=D:&bsol;OS2&bsol;BOOT&bsol;PCLOGIC.SYS SERIAL=COM1
! DEVICE=D:&bsol;OS2&bsol;BOOT&bsol;MOUSE.SYS TYPE=PCLOGIC$
  </verb></tscreen>
         for a MouseSystems compatible mouse, for instance.
  <item> Currently, the X server does not read the native OS/2 keyboard map,
***************
*** 475,482 ****
  <item> There is no support for the Wacom and Elographics input devices yet.
  </itemize>
  
! Other than that, an existing <tt/XF86Config/ file for the same XFree86 version
! from Linux or another platform may be used without changes.
  
  Once you've set up a XF86Config file, you can fine tune the video
  modes with the <tt>xvidtune</tt> utility. 
--- 502,518 ----
  <item> There is no support for the Wacom and Elographics input devices yet.
  </itemize>
  
! In most cases, an existing <tt/XF86Config/ file for the same XFree86 version
! from Linux or another platform may be used without changes. There is one 
! prominent exception: some S3 805 based VLB cards put their video memory
! in odd locations. The X server can search for this memory by experimentally
! mapping and unmapping possible memory regions. In XFree86/OS2, the OS may
! run out of memory tiles during this process. If this happens, you must
! find out the location of the memory yourself and add it as an option
! <tscreen><verb>
! 	MemBase 0x12345678
! </verb></tscreen>
! to the XConfig file.
  
  Once you've set up a XF86Config file, you can fine tune the video
  modes with the <tt>xvidtune</tt> utility. 
***************
*** 492,498 ****
  consider this still tolerable.
  
  The easiest way for new users to start X windows is to type: 
! <tscreen><verb>[C:\] startx</verb></tscreen>.
  
  To get out of X windows, type: ``<tt/exit/'' in the console xterm.
  You can customize your X by creating <tt/.xinitrc/, <tt/.xserverrc/,
--- 528,534 ----
  consider this still tolerable.
  
  The easiest way for new users to start X windows is to type: 
! <tscreen><verb>[C:&bsol;] startx</verb></tscreen>.
  
  To get out of X windows, type: ``<tt/exit/'' in the console xterm.
  You can customize your X by creating <tt/.xinitrc/, <tt/.xserverrc/,
***************
*** 502,528 ****
  <sect> Rebuilding the XFree86 Distribution
  
  <p>
! Do you really want to rebuild XFree86/OS2 from source? If so, here are
! a few hints:
! <enum>
! <item> You need about 250-300 MB of free HPFS space.
! <item> You must have the complete EMX environment installed.
! <item> You need most of the GNU utilities that are available from the
!        unix directory of hobbes.nmsu.edu.
! <item> You need a GNU make 3.71 or 3.72, others often have obscure bugs.
!        You cannot use dmake, nmake, wmake, or other toy software as a
!        replacement.
! <item> Install the X11R6.1 ``core'' distribution on some disk under a
!        directory like <tt>&bsol;X11</tt>, i.e.
!        <tt>&bsol;X11&bsol;xc&bsol;...</tt>.
! <item> Copy the cmd file <tt>buildos2.cmd</tt> from the directory
!        <tt>&bsol;X11&bsol;xc&bsol;config&bsol;util</tt> to the top
!        directory <tt>&bsol;X11&bsol;xc</tt>.
! <item> Execute this script; this should recompile everything, thereby
!        producing a logfile <tt>&bsol;X11&bsol;xc&bsol;buildxc.log</tt>.
!        The process requires between 2 and 20 hours depending on your hardware.
! </enum>
! Good luck!
  
  <sect>Building New X Clients
  
--- 538,545 ----
  <sect> Rebuilding the XFree86 Distribution
  
  <p>
! Do you really want to rebuild XFree86/OS2 from source? Read the file OS2.Notes
! on details to recompile XFree86/OS2 from scratch.
  
  <sect>Building New X Clients
  
***************
*** 532,538 ****
  ``<tt/xmkmf -a/'' to create the Makefiles, check the configuration if
  necessary and type ``<tt/xmake/''. ``<tt/xmake/'' is a wrapper for the
  GNU make program which defeats the improper SHELL setting typically found
! in a Makefile generated from an Imakefile.
  
  <sect> Acknowledgements
  
--- 549,556 ----
  ``<tt/xmkmf -a/'' to create the Makefiles, check the configuration if
  necessary and type ``<tt/xmake/''. ``<tt/xmake/'' is a wrapper for the
  GNU make program which defeats the improper SHELL setting typically found
! in a Makefile generated from an Imakefile. Also see the XFree86/OS2 FAQ 
! for more hints about porting X clients.
  
  <sect> Acknowledgements
  
